Share and feedback
Share a session
Share a session through a public Agent View link that needs no key.
POST
/
api
/
v2
/
sessions
/
{id}
/
share
holo sessions share "$SESSION_ID"
from hai_agents import Client
client = Client()
link = client.sessions.share_session(session_id)
print(link.share_url)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
const link = await client.sessions.shareSession({ id: sessionId });
console.log(link.shareUrl);
curl -X POST https://agp.eu.hcompany.ai/api/v2/sessions/$SESSION_ID/share \
-H "Authorization: Bearer $HAI_API_KEY"
{
"share_url": "/share/api/v1/trajectories/{id}"
}
Path parameters
string
required
The session ID.
Response
200 with the share link.
string
required
Path relative to the API host you called. Prepend your regional base URL (for example
https://agp.eu.hcompany.ai) before handing it out.holo sessions share "$SESSION_ID"
from hai_agents import Client
client = Client()
link = client.sessions.share_session(session_id)
print(link.share_url)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
const link = await client.sessions.shareSession({ id: sessionId });
console.log(link.shareUrl);
curl -X POST https://agp.eu.hcompany.ai/api/v2/sessions/$SESSION_ID/share \
-H "Authorization: Bearer $HAI_API_KEY"
{
"share_url": "/share/api/v1/trajectories/{id}"
}
Errors
| Status | Cause |
|---|---|
404 | Not found, or not in your organization. |
Was this page helpful?
⌘I
holo sessions share "$SESSION_ID"
from hai_agents import Client
client = Client()
link = client.sessions.share_session(session_id)
print(link.share_url)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
const link = await client.sessions.shareSession({ id: sessionId });
console.log(link.shareUrl);
curl -X POST https://agp.eu.hcompany.ai/api/v2/sessions/$SESSION_ID/share \
-H "Authorization: Bearer $HAI_API_KEY"
{
"share_url": "/share/api/v1/trajectories/{id}"
}